/************* 
  Site Header 
**************/

.if-site-header {
    position: sticky;
    top: 0;
    z-index: 100;
}

.admin-bar .if-site-header {
    top: 32px;
}

/* Logo */
.custom-logo-link {
    transition: transform .15s;
}

.custom-logo-link:hover,
.custom-logo-link:focus {
    transform: scale(1.05);
    outline: none;
}

.custom-logo-link:active {
    transform: translateY(0)
}

/* Main menu */
.if-site-header-menu .wp-block-navigation-item__content {
    transition: color .2s;
}
.if-site-header-menu .wp-block-navigation-item__content:hover,
.if-site-header-menu .wp-block-navigation-item__content:focus {
    color: var(--wp--preset--color--ink-orange);
    text-decoration: none;
    outline: none;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
    padding-top: 0;
}

/*************
  Site Footer 
**************/
.if-site-footer .wp-block-navigation-item__content:hover,
.if-site-footer .wp-block-navigation-item__content:focus,
.if-site-footer .current-menu-item .wp-block-navigation-item__content {
    color: var(--wp--preset--color--ink-orange);
    text-decoration: none;
}

/* Legal pages and copyright container */
@media (min-width: 782px) {
    .if-site-footer-legal-and-copyright {
        flex-direction: row-reverse;
        justify-content: space-between;
    }
}

/* Legal pages menu */
@media (min-width: 782px) {
    .if-site-footer-legal-pages {
        flex-direction: row;
    }
}

/*************
  Global
**************/

/* Scroll fix */
.wp-block-group {
    scroll-margin-top: 55px;
}

/* Global background image */
.if-global-bg-image {
    width: 90%;
    position: fixed;
    top: 190px;
    right: 0;
    z-index: -1;
}

@media (min-width: 768px) {
    .if-global-bg-image {
        width: initial;
        top: 90px;
        transform: translateY(0);
    }
}

@media (min-width: 1024px) {
    .if-global-bg-image {
        top: 50px;
    }
}

/* Buttons */
.wp-block-button__link {
    transition: transform .15s;
    outline: none;
}

.wp-block-button__link:hover,
.wp-block-button__link:focus {
    transform: scale(1.05);
}

.wp-block-button__link:active {
    transform: scale(1);
}

/*************
  Homepage
**************/

/* Hero */
.if-home-hero {
    position: relative;
    min-height: 635px;
}

.if-home-hero__content {
    position: relative;
    z-index: 5;
}

/* About us media */
.if-about-us-media {
    row-gap: 30px;
}

.if-about-us-media .wp-block-media-text__media img {
    border-radius: 8px;
}

.if-about-us-media .wp-block-media-text__content {
    padding-left: 0;
    padding-right: 0;
}

@media (max-width: 1023px) {
    .if-about-us-media {
        grid-template-columns: 100% !important;
    }

    .if-about-us-media .wp-block-media-text__media {
        grid-column: 1;
        grid-row: 1;
    }

    .if-about-us-media .wp-block-media-text__content {
        grid-column: 1;
        grid-row: 2;
    }
}

@media (min-width: 1024px) {
    .if-about-us-media {
        direction: rtl;
        column-gap: 55px;
    }
}

/* Services grid */
@media (min-width: 768px) {
    .if-services-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    /* Admin */
    .block-editor-block-list__block.if-services-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media (min-width: 1200px) {
    .if-services-grid {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
    
    /* Admin */
    .block-editor-block-list__block.if-services-grid {
        grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
    }
}

/* Logos grid */
.if-logos-grid {
    row-gap: 30px;
    column-gap: 30px;
    align-items: center;
}

/* Admin */
.block-editor-block-list__block.if-logos-grid {
    row-gap: 30px !important;
    column-gap: 30px !important;
}

@media (min-width: 768px) and (max-width: 781px) {
    .if-logos-grid {
        grid-template-columns: repeat(4, minmax(0, 1fr));
        row-gap: 40px;
        column-gap: 40px;
    }
}

@media (min-width: 782px) {
    .if-logos-columns .wp-block-column:first-child {
        flex-basis: 400px !important;
    }
    
    .if-logos-grid {
        row-gap: 88px;
        column-gap: 73px;
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    /* Admin */
    .block-editor-block-list__block.if-logos-grid {
        row-gap: 88px !important;
        column-gap: 73px !important;
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media (min-width: 1024px) {
    .if-logos-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    
    /* Admin */
    .block-editor-block-list__block.if-logos-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }
}

@media (min-width: 1200px) {
    .if-logos-grid {
        grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
    }
    
    /* Admin */
    .block-editor-block-list__block.if-logos-grid {
        grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
    }
}

/* Stats grid */
@media (min-width: 768px) {
    .if-stats-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    
    /* Admin */
    .block-editor-block-list__block.if-stats-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media (min-width: 1024px) {
    .if-stats-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    
    /* Admin */
    .block-editor-block-list__block.if-stats-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }
}

/* Video portfolio grid */
.if-videos-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
}
    
/* Admin */
.block-editor-block-list__block.if-videos-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
}

@media (min-width: 768px) {
    .if-videos-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    
    /* Admin */
    .block-editor-block-list__block.if-videos-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }
}

@media (min-width: 1024px) {
    .if-videos-grid {
        grid-template-columns: repeat(5, minmax(0, 1fr));
    }
    
    /* Admin */
    .block-editor-block-list__block.if-videos-grid {
        grid-template-columns: repeat(5, minmax(0, 1fr)) !important;
    }
}

/* Services section media */
.if-media-services .wp-block-media-text__content {
    padding-left: 0;
}

.if-media-services .wp-block-media-text__media img {
    border-radius: 8px;
}

.if-media-services .wp-block-list {
    padding-left: 20px;
}

.if-media-services {
    height: 100%;
}

@media (max-width: 767px) {
    .if-media-services .wp-block-media-text__media {
        display: none;
    }

    .if-media-services {
        grid-template-columns: 100% !important;
    }

    .if-media-services .wp-block-media-text__content {
        grid-column: 1 !important;
        grid-row: 1 !important;
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    .if-media-services {
        row-gap: 20px;
    }

    .if-media-services .wp-block-media-text__content {
        grid-column: 1 !important;
        grid-row: 2 !important;
    }
}

@media (max-width: 1023px) {
    .if-media-services .wp-block-media-text__content {
        padding-right: 0;
    }
    
    .if-media-services {
        grid-template-columns: 100% !important;
    }

    .if-media-services .wp-block-media-text__media {
        grid-column: 1 !important;
        grid-row: 1 !important;
    }

    .if-team-carousel .cb-button-next,
    .if-team-carousel .cb-button-prev,
    .if-services-carousel .cb-button-next,
    .if-services-carousel .cb-button-prev {
        display: none !important;
    }
}

/* Icon text item */
.if-icon-text-item {
    grid-template-columns: 40px 1fr;
}
.block-editor-block-list__block.if-icon-text-item {
    grid-template-columns: 40px 1fr !important;
}

/* Carousel Slider Block */
.wp-block-cb-carousel-v2 .swiper-horizontal {
    margin-bottom: 20px !important;
}

.wp-block-cb-carousel-v2 .swiper-pagination-bullets {
    gap: 10px;
}

.wp-block-cb-carousel-v2 .cb-pagination-bullet {
    --wp--custom--carousel-block--pagination-bullet-size: 12px;
    --wp--custom--carousel-block--pagination-bullet-inactive-color: #46484D;
    --wp--custom--carousel-block--pagination-bullet-color: #46484D;
    --wp--custom--carousel-block--pagination-bullet-active-color: #fff;
    --wp--custom--carousel-block--pagination-bullet-opacity: 1;
}

.wp-block-cb-carousel-v2 .cb-button-next,
.wp-block-cb-carousel-v2 .cb-button-prev {
    --wp--custom--carousel-block--navigation-size: 40px;
    --wp--custom--carousel-block--navigation-color: #7A7E88;
    outline: none;
    transition: all .25s ease;
}

.wp-block-cb-carousel-v2 .cb-button-next:hover,
.wp-block-cb-carousel-v2 .cb-button-next:focus,
.wp-block-cb-carousel-v2 .cb-button-prev:hover,
.wp-block-cb-carousel-v2 .cb-button-prev:focus {
    --wp--custom--carousel-block--navigation-color: #FF6400;
}

.wp-block-cb-carousel-v2 .swiper-slide {
    height: auto;
}

/* Fix admin */
.wp-block-cb-carousel-v2 .block-editor-inner-blocks .block-editor-block-list__layout {
    height: unset !important;
}

/*************
  Legal pages
**************/
.if-legal-pages-content {
    hr {
        margin-top: 60px;
        margin-bottom: 60px;
    }

    h2 {
        font-size: var(--wp--preset--font-size--x-large);
    }
    
    h3 {
        font-size: var(--wp--preset--font-size--large);
    }
}

/*************
  Image Styles
**************/
/* Masked */
.is-style-masked img  {
    mask-image: url('../images/ink-mark-white.svg');
    mask-repeat: no-repeat;
    mask-size: contain;
    mask-position: center;
    mask-mode: alpha;
}
